#!/bin/sh -e

PATH='/sbin:/bin'

INTERFACE=$1

. /etc/awlan/awl13.conf

case x"$AWL13_MODE" in
    x"AP")
	firmware='/lib/firmware/awl13/fwimage487_AP_USB.bin'
	;;
    x"STA"|*)
	firmware='/lib/firmware/awl13/fwimage487_STA_USB.bin'
	;;
esac

if [ -e $firmware ]; then
    cat $firmware > /sys/class/net/$INTERFACE/awl13/firmware
    iwpriv $INTERFACE fwload
    iwpriv $INTERFACE fwsetup
fi
